--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An internal PDF::Reader class that reads objects from the PDF file and converts them into useable ruby objects (hash's, arrays, true, false, etc)
constants: []

full_name: PDF::Reader::Parser
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: array
- !ruby/object:RI::MethodSummary 
  name: dictionary
- !ruby/object:RI::MethodSummary 
  name: hex_string
- !ruby/object:RI::MethodSummary 
  name: object
- !ruby/object:RI::MethodSummary 
  name: parse_token
- !ruby/object:RI::MethodSummary 
  name: stream
- !ruby/object:RI::MethodSummary 
  name: string
name: Parser
superclass: Object
